<template>
  <div class="input-wraps">
    <dl class="wrap-list">
      <dt>{{iTitle}}</dt>
      <dd class="wrap-dd">

          <input :type="iType" class="ipt-text-con" @focus="focusOn()"  v-model="inputModel"/>

          <button class="send-btn" v-show="isSend" @click="sends" :class="{cDisable:!isDisable}">{{sendText}}</button>
          <img :src="imgSrc" v-show="isFocus && !isSend" class="img-style-con" @click="hideImg()"/>
      </dd>

    </dl>
  </div>
</template>

<script>
  export default {
    name: 'inputs',
    props:{
      iTitle:{
          type:String
      },
      iType:{
          type:String,
          default:"text"
      },
      isSend:{
          type:Boolean
      },
      imgSrc:{
          type:String
      },
      isDisable:{
          type:Boolean
      }
    },
    data () {
      return {
        sendText: '点击发送短信',
        isFocus:false,
        inputModel:''
      }
    },
    methods:{
      sends(){
          this.$emit("sends")
      },
      focusOn(){
          this.isFocus=true;

      },
      blurOn(){
        this.isFocus=false;
      },
      hideImg(){
          this.inputModel='';
          this.isFocus=false;
      }
    }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.wrap-list{

  padding:0 .4rem;
  font-size:.56rem;
}
  .wrap-list dt{
    height:1.4rem;
    line-height:1.4rem;
    color:#666;
  }
  .wrap-dd{
    display:-webkit-box;
    height:1.4rem;
    line-height:1.4rem;
    border-bottom:#d1d1d1 1px solid;
  }
  .ipt-text-con{
    display: block;
    -webkit-box-flex:1;
    height:1.34rem;
    border:none;
    background: none;
    color:#333;
  }
  .img-style-con{
    width:.72rem;
    height:.72rem;
    margin:0 .2rem;
  }

  .send-btn{
    padding:.2rem .4rem;
    background:#FFF;
    border:#FF7A00 1px solid;
    border-radius:.12rem;
    color:#FF7A00;
    font-size:.48rem;
  }
.send-btn.cDisable{
  color:#888;
  border:#B5B5B9 1px solid;
}
</style>
